<?php

# only for wp-cli
if ( defined( 'WP_CLI' ) && WP_CLI ) {


###################################################
# extend wp-cli to purge cache, usage: wp uli_minify purge
###################################################

class uli_minify_WPCLI {

	# purge files + cache
	public function purge() {
		uli_minify_purge_all();
		uli_minify_purge_others();
		WP_CLI::success('ULIMINIFY and other caches were purged.');
	}
	
	# get cache size
	public function stats() {
		$stats = uli_minify_get_cachestats();
		WP_CLI::success('ULIMINIFY is using '.$stats.' for cache.');
	}	
	
}

# add commands
WP_CLI::add_command( 'uli_minify', 'uli_minify_WPCLI' );



###################################################
}